schroot (1.6.10-12ubuntu1) impish; urgency=medium

  * Merge from Debian unstable
    - Remaining changes:
      * schroot: util: Fix infinite allocation on error in name queries.

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 18 May 2021 10:23:55 +0200

schroot (1.6.10-12) unstable; urgency=medium

  * QA upload.
  * ensure the parent directory for binfmt-misc interpreter
    for a foreign chroot exists before using it (Closes: #983087)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 28 Feb 2021 13:43:50 +0300

schroot (1.6.10-11ubuntu2) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:11:44 +0100

schroot (1.6.10-11ubuntu1) groovy; urgency=medium

  * schroot: util: Fix infinite allocation on error in name queries.
    LP: #1899414.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Oct 2020 14:19:36 +0200

schroot (1.6.10-11) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible:
    - Make the documentation build reproducibly. (Closes: #902804)
    - Specify reproducible=+fixfilepath to make the binaries reproducible.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Sep 2020 10:43:32 +0100

schroot (1.6.10-10) unstable; urgency=medium

  [ Alexis Murzeau ]
  * QA upload.
  * debian/control:
    + Remove Build-Depends on deprecated dh-systemd and depend on
      debhelper (>= 9.20160709) now that it integrates dh-systemd.
      Closes: #958621.

  [ Johannes 'josch' Schauer ]
  * add debian/salsa-ci.yml

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 06 Sep 2020 16:33:58 +0200

schroot (1.6.10-9) unstable; urgency=medium

  * QA upload.
  * Source-only rebuild to allow testing migration.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Mark package schroot-common as Multi-Arch: foreign.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2020 12:32:05 -0500

schroot (1.6.10-8) unstable; urgency=medium

  * QA upload.
  * Fix install target to call install-arch instead of bypassing the
    various overrides (such as setting the binary suid root, and calling
    the test suite).  Closes: #948119.
  * debian/patches/zfs-snapshot-support.patch: fix the tests to match the
    implementation, overlooked due to the previous bug preventing the
    testsuite from being run during local test builds.

 -- Steve Langasek <vorlon@debian.org>  Sun, 05 Jan 2020 05:36:58 +0000

schroot (1.6.10-7) unstable; urgency=medium

  * QA upload.
  * debian/patches/zfs-snapshot-support.patch: add support for a zfs-
    snapshot backend.  Closes: #947919.
  * Suggest btrfs-progs instead of obsolete btrfs-tools.
    Closes: #857470.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #909445)
    + Let dh_auto_configure pass cross flags to cmake.
    + cross.patch: Avoid check_cxx_source_runs.
    + Support DEB_BUILD_OPTIONS=nocheck.

 -- Steve Langasek <vorlon@debian.org>  Fri, 03 Jan 2020 21:13:37 +0000

schroot (1.6.10-6) unstable; urgency=medium

  * QA upload, fixing documentation / l10n issues.
  * Fix typos in various man pages, acknowledged by upstream and fixed upstream
    as well. Addresses: #771001.
  * Update French man page translation, thanks Thomas Blein and Jean-Pierre
    Giraud. Closes: #776607, 912006
  * Update German man page translation, thanks Chris Leick. Closes: #771001
  * Update Czech program translation, thanks Miroslav Kure. Closes: #771421

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 01 Sep 2018 09:25:59 +0200

schroot (1.6.10-5) unstable; urgency=medium

  * Orphan packages, this fixes the bouncing maintainer email. Closes: #899851
  * Update Vcs-* fields to point to salsa. Thanks to Simon McVittie for having
    imported the repositories.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 06 Jun 2018 11:29:14 +0200

schroot (1.6.10-4) unstable; urgency=medium

  * Fix up bash completion file. Closes: #855283
  * Add systemd service file to avoid issues with timeouts when
    you have many schroot sessions open. Closes: #835104
    Thanks to Laurent Bigonville for the patch.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 06 Jun 2017 16:38:31 +0200

schroot (1.6.10-3) unstable; urgency=medium

  * By default mark all mounts done by schroot-mount as "private"
    to avoid bad interactions caused by systemd's default of "shared"
    that resulted in failure to unmount them. Closes: #786566
    Thanks to Tyler Hicks <tyhicks@canonical.com> for the patch.
  * debian/patches/fix-test-suite-with-usrmerge.patch: fix test suite when
    /bin is a symlink to /usr/bin.
  * schroot-mount-resolve-mount-destinations-while-chrooted.patch:
    new patch to fix symlink resolution in schroot-mount that could
    lead to mount failures or invalid mounts. Closes: #728096
    Thanks to Tyler Hicks <tyhicks@canonical.com> for the patch.
  * Don't stop unmounting at first failure, try to unmount as much
    as possible and then fail. It might help for the next try.
    Closes: #829125 Thanks to Dima Kogan <dima@secretsauce.net> for the
    patch.
  * Fix /etc/schroot/setup.d/15killprocs to correctly detect processes
    running in the chroot. Thanks to Christoph Biedl
    <debian.axhn@manchmal.in-ulm.de> for the analysis. Closes: #841699
  * Add -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE to
    DEB_CXXFLAGS_MAINT_APPEND to fix again overflow error with large
    loopback images. Closes: #619825
  * Kill useless/obsolete binary packages: libsbuild-dev, libsbuild-doc,
    dchroot, dchroot-dsa.
  * Cleanup debian/control and add missing lsb-base dependency.
  * Install bash completion file in /usr/share/bash-completion/completions
    and drop obsolete file in /etc/bash_completion.d/.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 09 Jan 2017 18:38:50 +0100

schroot (1.6.10-2) unstable; urgency=medium

  * Drop Roger Leigh from Uploaders, he's no longer a Debian
    developer but he is still the upstream author of schroot.
    Thanks to him for all his past contributions and the continued
    work on schroot.
  * Put myself in Uploaders to appease lintian but I would gladly
    pass on this responsibility to someone else.
  * debian/control:
    - Add versioned depends on cmake >= 2.8.12 (Closes: #757936).
    - Replace "aufs-modules | unionfs-modules" which are no longer
      available with "aufs-tools | unionfs-fuse" (Closes: #754748).
  * schroot.init: Switch Should-Start from lvm to lvm2 to work
    around systemd brokenness (Closes: #759393).
  * Support for the XZ, LZO and LZ4 compression formats has been
    added for file-based chroots (Closes: #768091). Thanks to
    Aurelien Jarno for this patch.
  * CHROOT_SESSION_SOURCE added to allow setup scripts to determine
    if they are running in a source chroot session (Closes: #718127).
  * Move SCHROOT_MOUNT_DIR to /var/run/schroot/mount from
    /var/lib/schroot/mount (Closes: #762597). Try to clean up
    old mount directory in postrm.
  * Add support for overlay filesystem in Linux 4.0. Closes: #785633
    Thanks to Antonio Teirceiro and Felipe Sateler for the patch.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 18 Aug 2015 14:29:28 +0200

schroot (1.6.10-1) unstable; urgency=medium

  * New upstream stable release.
  * Fix building with GCC 4.9 (Closes: #746905):
    - detect and use C++11 <regex> when available.
    - correct invalid extended regex.

 -- Roger Leigh <rleigh@debian.org>  Mon, 05 May 2014 20:14:52 +0100

schroot (1.6.9-1) unstable; urgency=medium

  * debian/rules:
    - Pass CPPFLAGS through to cmake (Closes: #742701, cf. #653916).
    - Enables all hardening features.  Thanks to Colin Watson for this
      patch.
  * setup.d: Correctly detect FreeBSD systems, in particular fixing
    nullfs mounts (Closes: #740427).
  * etc/bash_completion/schroot: Make bash completion work for colon
    values (Closes: #696543).  Thanks to Peter Wu for this patch.
  * etc/setup.d/10mount: Work around systemd breaking bind mounts
    (Closes: #726375).  Thanks to Michael Stapelberg for the initial
    patch, which was reworked to make it Linux-only.

 -- Roger Leigh <rleigh@debian.org>  Mon, 07 Apr 2014 20:03:51 +0100

schroot (1.6.8-1) unstable; urgency=medium

  * New upstream stable release.
  * Removed unnecessary transitive linking.
  * Syntax errors in the French manual pages corrected.
  * debian/control:
    - Upgrade to Standards-Version 3.9.5 (no changes).

 -- Roger Leigh <rleigh@debian.org>  Sat, 04 Jan 2014 00:14:41 +0000

schroot (1.6.7-1) unstable; urgency=low

  * New upstream stable release.
  * cmake build changes for portability with other GCC versions and
    to compile and link personality support correctly for non-Linux
    architectures.
  * debian/rules:
    - Don't force the use of C++11, which isn't required.

 -- Roger Leigh <rleigh@debian.org>  Fri, 03 Jan 2014 12:04:36 +0000

schroot (1.6.6-1) unstable; urgency=low

  * New upstream stable release.
  * This release now supports both autotools and cmake; switch to
    cmake, which allows building and installation of translated
    manual pages (Closes: #683137, #683959, #695313).
  * Device locking support using liblockdev has been dropped
    (Closes: #728021).
  * Updated translations:
    - da (Closes: #725736).  Thanks to Joe Hansen.
    - de (Closes: #725608).  Thanks to Holger Wansing.
    - eu (Closes: #728227).  Thanks to Iñaki Larrañaga Murgoitio.
    - fr (Closes: #729319, #729317).  Thanks to Thomas Blein.
  * debian/control:
    - Build-Depend on cmake, drop autotools-dev.
    - Upgrade to Standards-Version 3.9.4 (no changes).
    - Remove liblockdev from Build-Depends.
  * debian/rules:
    - Replace configure usage with cmake and convert logic for
      configure options to use the cmake equivalents.
    - Parallel builds are now supported (Closes: #718638)

 -- Roger Leigh <rleigh@debian.org>  Thu, 02 Jan 2014 20:57:15 +0000

schroot (1.6.5-1) unstable; urgency=low

  * New upstream stable release.

 -- Roger Leigh <rleigh@debian.org>  Sun, 27 Jan 2013 23:07:10 +0000

schroot (1.6.4-4) unstable; urgency=low

  * schroot: Add sbuild profile fstab file for freebsd
    (Closes: #692213).  This mounts /dev, /dev/fd and /build.

 -- Roger Leigh <rleigh@debian.org>  Sat, 03 Nov 2012 15:19:16 +0000

schroot (1.6.4-3) unstable; urgency=low

  * schroot-mount canonicalises both the base path and full
    path when sanity checking mountpoints (Closes: #691694).

 -- Roger Leigh <rleigh@debian.org>  Mon, 29 Oct 2012 19:25:30 +0000

schroot (1.6.4-2) unstable; urgency=low

  * sbuild::chroot_facet_session_clonable: Include
    sbuild-chroot-block-device-base.h, which was missing on
    kFreeBSD and Hurd builds (it's included indirectly on Linux
    via the LVM snapshot header).

 -- Roger Leigh <rleigh@debian.org>  Sun, 28 Oct 2012 11:49:57 +0000

schroot (1.6.4-1) unstable; urgency=low

  * New upstream stable release.
  * NEWS: Provide guidance for wheezy upgrades with regard to
    use of the profile key in a backward-compatible manner also
    using setup.config, to mimic the behaviour of the deprecated
    script-config key.
  * schroot.conf(5) additionally updated to document script-config
    deprecation and use of user keys such as setup.config.
  * schroot-mount: Canonicalise mountpoints with symlinks to avoid
    mounting absolute paths on the host rather than inside the chroot
    (Closes: #686148).  Note the caveat regarding paths with multiple
    symlinks in schroot-script-config(5).  This permits safe use of
    symlinks as mountpoints in some common circumstances, e.g. on
    /var/lock, which is a symlink to /run/lock, though this is not
    recommended practice.
  * 15binfmt no longer pollutes output, by redirecting stderr from
    "which update-binfmts" (Closes: #688304).
  * Ensure that CHROOT_ALIAS (setup scripts) and SCHROOT_ALIAS_NAME
    (user environment) always refer to the alias used to create the
    session (Closes: #689078).  The alias is no longer canonicalised
    by sbuild::chroot_config::validate_chroots.  The logic for
    chroot validation and information display in sbuild::chroot_config
    and schroot::main_base (and derived classes) required refactoring
    to allow the unresolved alias name to be passed through to the
    session clone operation in sbuild::session, so that it could be
    stored in the chroot's sbuild::chroot_facet_session facet.
  * On session recovery, mount the snapshot LV rather than the source
    LV for LVM snapshot chroots (Closes: #691376).  The code which
    sets the mount device for all mountable chroots (with an
    sbuild::chroot_facet_mountable facet) is in
    sbuild::chroot_facet_session_clonable::clone_session_setup().
    All chroot types refactored to set the mount device here.
  * 10mount uses a lock directory /var/lock/schroot to contain its
    lockfile, rather than directly using /var/lock, which is less
    secure.

 -- Roger Leigh <rleigh@debian.org>  Sat, 27 Oct 2012 23:30:38 +0100

schroot (1.6.3-1) unstable; urgency=low

  * New upstream stable release.
  * Revert pam_env change in 1.6.2-1.  This is due to running the
    PAM module on the host, it would inappropriately set LANG, LANGUAGE
    and potentially other environment variables which would be
    incorrect inside the chroot.

 -- Roger Leigh <rleigh@debian.org>  Sat, 21 Jul 2012 10:42:53 +0100

schroot (1.6.2-1) unstable; urgency=low

  * New upstream stable release.
  * schroot:
    - PAM pam_env is used to set up additional environment from
      /etc/security/pam_env.conf and /etc/default/locale.
    - /usr/bin/X11 and /usr/games have been removed from the
      default PATH.

 -- Roger Leigh <rleigh@debian.org>  Wed, 18 Jul 2012 23:10:24 +0100

schroot (1.6.1-1) unstable; urgency=low

  * New upstream stable release.
  * schroot:
    - Remove invalid and obsolete symlinks which were being created
      on install and upgrade, and no longer create them
      (Closes: #681931).
    - Fix 15binfmt setup script to bind mount binfmt binary correctly
      (Closes: #677811).  Thanks to Vagrant Cascadian and Julian Andres
      Klode.
    - Building from git has been documented, as has the upstream
      release process (Closes: #680882).
  * dchroot:
    - Migrate dchroot.conf to schroot.conf format on upgrade
      (Closes: #681876).  Also documented caveats in NEWS.Debian.
  * dchroot-dsa:
    - Migrate dchroot.conf to schroot.conf format on upgrade.
      Also documented caveats in NEWS.Debian.

 -- Roger Leigh <rleigh@debian.org>  Wed, 18 Jul 2012 20:04:41 +0100

schroot (1.6.0-1) unstable; urgency=low

  * New upstream stable release.
  * schroot:
    - Ensure that the schroot init script is migrated from using rcS to
      using standard runlevels (Closes: #677501).
    - script-config sets FSTAB, COPYFILES and NSSDATABASES, plus the
      new names prefixed with SETUP_ (Closes: #675408).  The old
      script-config and new profile keys are mutually exclusive.  If
      both are set, script-config will be used.  If the script-config
      file is not present, create default settings for FSTAB, COPYFILES
      and NSSDATABASES for backward compatibility, needed since the
      standard config files are removed on upgrade.  Note that in 1.5.x
      releases, profile was set in all cases, which set setup.fstab etc.
      but this is now no longer the case, to permit script-config files
      to continue to function if present.  script-config will be
      removed in 1.7.x/1.8.x, so it is advisable to replace usage of
      script-config with profile.
  * Updated translations:
    - da (Closes: #675398).  Thanks to Joe Hansen.
    - de (Closes: #676380).  Thanks to Holger Wansing.
    - fr (Closes: #676413, #676416).  Thanks to Thomas Blein.
    - pt (Closes: #676813).  Thanks to Pedro Ribeiro.

 -- Roger Leigh <rleigh@debian.org>  Sun, 24 Jun 2012 20:18:30 +0100

schroot (1.5.4-1) unstable; urgency=low

  * New upstream development release.
  * schroot: Correctly initialise the "profile" property
    (Closes: #675189).

 -- Roger Leigh <rleigh@debian.org>  Tue, 29 May 2012 22:53:23 +0100

schroot (1.5.3-1) unstable; urgency=low

  * New upstream development release.
  * dchroot:
    - Always use "/bin/sh -c" to run the specified command, rather than
      the user's shell, in order to ensure consistent behaviour.
  * schroot:
    - Add shell fallbacks (Closes: #674040).  When running a login
      shell, try $SHELL (if preserving the environment), or else passwd
      pw_shell, then /bin/bash and finally /bin/sh.  This may be
      overidden using the shell configuration key, which may in turn be
      overidden by the --shell option.
    - Don't warn the user about groups which do not exist
      (Closes: #674041).  This is now debug log info only.
    - Add support for running programs in non-native architecture
      chroots using binfmt support for qemu user binaries
      (Closes: #604268).  Thanks to Loïc Minier, Julian Andres Klode
      and Colin Watson.

 -- Roger Leigh <rleigh@debian.org>  Tue, 29 May 2012 21:26:47 +0100

schroot (1.5.2-1) experimental; urgency=low

  * New upstream development release.
  * Build with current Boost libraries (1.49).
  * debian/control:
    - Fix typo (debuggging, Closes: #653732).  Thanks to Vincent Blut.
    - Build-Depend on debhelper 9, and po4a 0.40.
    - Upgrade to Standards-Version 3.9.3.
  * schroot preinst: Remove default (script-config) conffiles on
    upgrade.  These are deprecated and support will be dropped in
    the future.
  * /etc/default/schroot supports ending sessions on stop
    (Closes: #625202).  The existing SESSIONS_RECOVER option has been
    renamed to START_ACTION, and an additional STOP_ACTION option has
    been added.  Both of these may be set to "end" to cause all
    sessions to be ended when run with a "start" or "stop" argument,
    respectively.
  * Support translation of the documentation with po4a
    (Closes: #588962).  A French translation of the manual pages has
    been added, and translated manual pages are built, but is not yet
    installed.  Thanks to David Prévot.
  * Support for overlayfs has been added in addition to aufs and
    unionfs (Closes: #648450).  Thanks to Evan Broder.
  * Arbitrary options may now be set in a chroot definition in
    schroot.conf.  These options are also set in the environment when
    running setup scripts, making this a simple means by which setup
    scripts may be customised without writing code.  As part of this
    change, the error message for invalid keys has been reworded to
    make it more helpful (Closes: #666274).
  * The gshadow database is now copied into the chroot using the
    nssdatabases setup script, rather than copyfiles.
  * Services may be started and stopped inside the chroot on session
    creation and session ending (Closes: #625205).  These are specified
    using the new setup.services key, and are started and stopped using
    invoke-rc.d.  See schroot.conf(5) for further details.
  * 15killprocs kills processes under CHROOT_PATH rather than
    CHROOT_MOUNT_LOCATION (Closes: #672113).  Thanks to Julien Viard de
    Galbert.
  * The above options may be set (where permitted) on the schroot
    command-line by using the new --option command-line option to set
    the option to a user-defined value, which will permit users to
    customise the behaviour of setup scripts.  Note that only keys
    specified in the new user-modifiable-keys or root-modifiable-keys
    settings are permitted to be set, for security reasons.
  * A new "custom" chroot type has been added (Closes: #477937).  This
    permits the testing and development of new specialised chroot
    types without the need to write any C++ chroot modules.  It just
    requires a custom setup script, which can use arbitrary options
    set in your schroot.conf for configuration.  Options are provided
    to set up the session cloning and purging behaviour for the custom
    chroot.  See schroot.conf(5) for further details.
  * Exceptions thrown for command-line options validation errors no
    longer use the Boost validation_error exception, which formatted
    the exception reason text badly (Closes: #666497).
  * schroot(1): Update overview text, including explaining the
    restriction of the plain chroot type not running setup scripts
    (Closes: #670881).
  * PATH is now set when running setup scripts.
  * Updated translations:
    - da (Closes: #658544).  Thanks to Joe Hansen.
    - de (Closes: #659524).  Thanks to Holger Wansing.
    - fr (Closes: #661514).  Thanks to Thomas Blein.
    - pt (Closes: #660040).  Thanks to Pedro Ribeiro.
    - zh_CN (Closes: #659967).  Thanks to Ji ZhengYu.

 -- Roger Leigh <rleigh@debian.org>  Mon, 14 May 2012 23:29:22 +0100

schroot (1.5.1-1) experimental; urgency=low

  * New upstream development release:
  * Build using dh and debhelper 8.1.
  * Use multiarch paths.
  * Build with Boost 1.46, and add boost-iostreams build dependency.
  * Fix building with --debug (Closes: #609067).  Thanks to
    Jonathan Callen.
  * Add CHROOT_ALIAS to the setup script execution environment, and
    SCHROOT_ALIAS_NAME to the user environment.  These may be used
    to conditionally alter behaviour depending upon the chroot alias
    used (Closes: #635320).
  * Directory fallbacks are documented in the manual pages
    (Closes: #633671).
  * dchroot and dchroot-dsa no longer use dchroot.conf.  Both
    programs now always use schroot.conf, and additionally use the
    same authentication mechanisms as schroot.  This is intended to
    provide the same basic configuration for all tools, and to also
    improve security by only having a single set of authentication
    rules.
  * debian/control:
    - Use multiline fields.
    - Upgrade to Standards-Version 3.9.2 (no changes).
    - Build-Depend upon groff-base for soelim.
    - schroot Breaks sbuild << 0.62.6, which did not support namespaces
      correctly.

 -- Roger Leigh <rleigh@debian.org>  Fri, 30 Dec 2011 11:59:40 +0000

schroot (1.5.0-1) experimental; urgency=low

  * New upstream development release:
    - The deprecated options priority, run-setup-scripts and
      run-exec-scripts (all chroot types) and location ("plain" and
      "directory" chroot types) have been obsoleted and removed from
      the documentation.
    - Source chroots no longer create a chroot with a -source suffix;
      the source: namespace should be used instead.  Likewise sessions
      are no longer present in the chroot: namespace, and are only
      found in the session: namespace.  This means the fully-qualified
      name must be used to refer to sessions except when performing
      actions which use session: as the default namespace.
    - Support for zip file archives has been removed.  zip was not able
      to archive named pipes and device nodes, and so was not usable
      for chroot archival.
    - AUTH_VERBOSITY is no longer set in setup scripts.  Please use
      VERBOSE instead.  VERBOSITY replaced and deprecated
      AUTH_VERBOSITY in version 1.4.5.
  * schroot: Don't Suggest unzip now zip is not a supported archive
    format.

 -- Roger Leigh <rleigh@debian.org>  Sun, 16 Jan 2011 22:02:34 +0000

schroot (1.4.27-1) unstable; urgency=low
  * New upstream stable release.
  * 10mount: Use secure lock directory /var/lock/schroot in place
    of insecure use of lockfiles directly in /var/lock.
  * schroot-mount: Canonicalise mountpoints with symlinks to avoid
    mounting absolute paths on the host rather than inside the chroot
    (Closes: #686148).  Note the caveat regarding paths with multiple
    symlinks in schroot-script-config(5).

 -- Roger Leigh <rleigh@debian.org>  Mon, 29 Oct 2012 20:13:36 +0000

schroot (1.4.26-1) unstable; urgency=low

  * Upgrade to Standards Version 3.9.3.
  * Updated translations:
    - da (Closes: #658517).  Thanks to Joe Hansen.
    - de (Closes: #659523).  Thanks to Holger Wansing.
    - fr (Closes: #661512).  Thanks to Thomas Blein.
    - pt (Closes: #660040).  Thanks to Pedro Ribeiro.
    - zh_CN (Closes: #659875).  Thanks to Ji ZhengYu.
  * Added --exclude-aliases option.  This removes aliases from the
    chroot selection.

 -- Roger Leigh <rleigh@debian.org>  Sat, 12 May 2012 15:57:33 +0100

schroot (1.4.25-1) unstable; urgency=low

  * New upstream stable release.
  * Build-Depend on generic Boost pacakges, to build against v1.48.
  * Support for overlayfs has been added in addition to aufs and
    unionfs (Closes: #648450).  Thanks to Evan Broder.  Backported
    from schroot-1.5.2.

 -- Roger Leigh <rleigh@debian.org>  Fri, 03 Feb 2012 10:56:57 +0000

schroot (1.4.24-1) unstable; urgency=low

  * New upstream stable release.
  * Add multiarch support.  Backported from schroot 1.5.1.
  * Use debhelper 9 and dh using compat level 9.
  * Use Standards-Version 3.9.2.
  * Build-Depend upon groff-base for soelim.
  * Support for zip file archives has been removed.  zip was not able
    to archive named pipes and device nodes, and so was not usable
    for chroot archival.
  * Don't Suggest unzip now zip is not a supported archive
    format.
  * Correct race condition in 15killprocs (Closes: #645223).  Thanks to
    Patrick Ohly for this patch.
  * Fix name lookup issue causing FTBFS with GCC 4.7 (Closes: #656239).
    Thanks to Ralf Corsépius for this patch.

 -- Roger Leigh <rleigh@debian.org>  Tue, 17 Jan 2012 22:40:09 +0000

schroot (1.4.23-1) unstable; urgency=low

  * New upstream stable release.
  * schroot: Breaks sbuild (<< 0.62.4-1) due to requirement for
    /var/lib/sbuild/build to exist when using the sbuild or
    buildd profiles.  /var/lib/sbuild/build is bind mounted on
    /build in the build chroot.

 -- Roger Leigh <rleigh@debian.org>  Fri, 24 Jun 2011 23:30:01 +0100

schroot (1.4.22-1) unstable; urgency=low

  * New upstream stable release.
  * Large file support is enabled by default.  This enables the use
    of files over 2 GiB in size on 32 bit architectures
    (Closes: #619825).
  * dchroot-dsa: Use current interface for loading dchroot.conf,
    rather than the old, which caused a fatal exception
    (Closes: #626503).
  * schroot: Don't use rbind when mounting filesystems in the chroot
    (Closes: #622756).  Recursive bind mounting of /proc, /dev and
    /sys caused breakage with systemd due to its use of autofs mounts.
    autofs interacts badly with bind mounting, leading to unmountable
    mount points.  While rbind is still possible, it is not done by
    default, and instead only specific filesystems are mounted;
    additional mounts required must be added to the profile fstab file.
  * man: Add missing newline for run-exec-scripts (Closes: #624303).
    Fix incorrectly terminated underlining of /proc (Closes: #624302).
    Also document the chroot types implementing specific additional
    options (Closes: #626221).  Thanks to Marc Haber and Brian May.
  * Session metadata includes the original chroot name.  This is
    available in the user environment as SCHROOT_CHROOT_NAME and
    in the setup scripts as CHROOT_NAME (Closes: #623828).
  * Include buildd profile.  This was previously included in the buildd
    and sbuild packages, but was not built for the specific host
    architecture due to the package being arch: all.  We therefore
    Replace: buildd and sbuild for versions prior to 0.62.3-1.
    This also involved moving some parts of the base "all" profile
    template into other profile templates in order to keep it
    sufficiently minimal for buildd, and a simplification of
    nssdatabases for the minimal and sbuild profiles.
  * Drop obsolete Replaces: from schroot-common.

 -- Roger Leigh <rleigh@debian.org>  Sun, 15 May 2011 16:22:36 +0100

schroot (1.4.21-1) unstable; urgency=low

  * New upstream stable release.
  * Fix building with --debug (Closes: #609067).  Thanks to
    Jonathan Callen.
  * Document use of command-prefix=eatmydata to improve dpkg
    performance in build chroots.

 -- Roger Leigh <rleigh@debian.org>  Fri, 11 Mar 2011 13:13:26 +0000

schroot (1.4.20-1) unstable; urgency=low

  * New upstream stable release.
  * Add support for the Boost filesystem v3 library, to permit building
    with Boost version 1.46 (Closes: #612510).  Older versions of Boost
    continue to be supported.  Thanks to Zach Carter for the initial
    patch and testing.
  * Build with Boost 1.46
  * Remove versions from build dependencies where the required version
    is also present in stable and oldstable

 -- Roger Leigh <rleigh@debian.org>  Mon, 28 Feb 2011 08:10:15 +0000

schroot (1.4.19-1) unstable; urgency=low

  * New upstream stable release.
  * bin/dchroot-dsa/dchroot-dsa-session.cc: Don't include <uuid/uuid.h>.
    This isn't required and breaks building on kfreebsd where we don't
    build-depend on uuid-dev (Closes: #609619).

 -- Roger Leigh <rleigh@debian.org>  Tue, 11 Jan 2011 00:11:26 +0000

schroot (1.4.18-1) unstable; urgency=low

  * New upstream stable release.
  * Disable the use of long UUIDs in automatically-generated session
    names on kfreebsd kernels (Closes: #609108).  Use the time and
    process ID instead, which are far shorter than the UUID.  This is
    required due to FreeBSD kernels using fixed-length character arrays
    in their struct statfs structure which limits the mount and umount
    commands to paths less than 88 characters in length (80 in
    practice).  Disabling UUID support reduces the likelihood of mount
    and umount failure when beginning and ending sessions, but can not
    fix the underlying bug in FreeBSD.  It can still be triggered if
    long session names are used, or filesystems are mounted deep inside
    the chroot directory hierarchy.  Thanks to Guillem Jover, Julián
    Moreno Patiño and Jakub Wilk for help fixing the configure script,
    Debian packaging and testing.
  * 50chrootname: Strip time+PID from session name in addition to UUID.
    This sets /etc/debian_chroot correctly (without automatically
    generated suffix) on kfreebsd platforms.

 -- Roger Leigh <rleigh@debian.org>  Fri, 07 Jan 2011 14:49:31 +0000

schroot (1.4.17-1) unstable; urgency=low

  * New upstream stable release.
  * 15killprocs: Don't kill processes in other sessions
    (Closes: #608054).  Compare full chroot path in addition to device
    and inode numbers, since the device and inode are not sufficiently
    unique (they are shared between non-cloned sessions such as for
    directory type chroots).
  * Updated translations:
    - da (Closes: #606305).  Thanks to Joe Hansen.
    - de (Closes: #606245).  Thanks to Holger Wansing.
    - fr (Closes: #606394).  Thanks to Thomas Blein.
    - it.  Thanks to Vincenzo Campanella.
    - zh_CN.  Thanks to Ji ZhengYu.

 -- Roger Leigh <rleigh@debian.org>  Wed, 29 Dec 2010 16:41:30 +0000

schroot (1.4.16-1) unstable; urgency=low

  * New upstream stable release.
  * Document schroot -- option delimiter in schroot(1)
    (Closes: #599380).
  * Document security implications of bind-mounting /dev and other
    filesystems in schroot.conf(5) (Closes: #587758).
  * Relax chroot naming restrictions (Closes: #601043, #605939).  The
    name may not contain a leading period (‘.’).  The  characters ‘:’
    (colon), ‘,’ (comma) and ‘/’ (forward slash) are not permitted
    anywhere in the name.  The name may also not contain a trailing
    tilde ('~').  Otherwise any characters are permitted.
  * 10mount: Respect mount options from configuration for all mountable
    chroot types (Closes: #605950).  Thanks to Nelson Elhage for this
    patch.
  * 15killprocs: Improve performance by omitting a readlink call for
    each process running on the system, leading to a significant
    reduction in overhead on busy systems (Closes: #606162).  Thanks
    to Anders Kaseorg for this patch.

 -- Roger Leigh <rleigh@debian.org>  Tue, 07 Dec 2010 12:29:25 +0000

schroot (1.4.15-1) unstable; urgency=low

  * New upstream stable release.
  * 10mount: Always purge mount directory for file type chroots
    (Closes: #600966).  file chroots are now unpacked into a
    separate unpack directory and then bind mounted into the
    mount directory, making this special casing redundant and
    causing stray session directories to be left in the mount
    directory.
  * schroot.NEWS: Document incompatible changes introduced in
    1.4.0 and 1.4.1 (Closes: #597778).

 -- Roger Leigh <rleigh@debian.org>  Fri, 22 Oct 2010 22:18:34 +0100

schroot (1.4.14-1) unstable; urgency=low

  * New upstream stable release.
  * Updated translations:
    - vi (Closes: #598353).  Thanks to Clytie Siddall.

 -- Roger Leigh <rleigh@debian.org>  Sun, 03 Oct 2010 11:57:08 +0100

schroot (1.4.13-1) unstable; urgency=low

  * Session actions work with plain chroots again (Closes: #597368).
    Because plain chroots are not session-capable, actions such as
    --run-session and --end-session, which look for chroots in the
    "session" namespace, don't find plain chroots, which only exist
    in the "chroot" namespace.  To work around this limitation,
    proxy sessions are created as aliases in the session namespace
    to allow session actions to work for plain chroots.
  * Correct error handing for --all options:
    - If no chroots are selected by an --all option, only warn when
      verbose output is enabled.
    - Don't abort prematurely if --all-source-chroots is used and
      no chroots are found; previously only --all-chroots and
      --all-sessions were handled correctly.
  * Updated translations:
    - da (Closes: #596002).  Thanks to Joe Hansen.
    - de (Closes: #596597).  Thanks to Holger Wansing.
    - fr (Closes: #596962).  Thanks to Thomas Blein.
    - it.  Thanks to Vincenzo Campanella.
    - pt (Closes: #596612).  Thanks to Pedro Ribeiro.
    - zh_CN.  Thanks to Ji ZhengYu.

 -- Roger Leigh <rleigh@debian.org>  Sun, 26 Sep 2010 10:24:23 +0100

schroot (1.4.12-1) unstable; urgency=low

  * New upstream stable release.
  * Allow creation of sessions with the same name as chroots
    (Closes: #595647).
  * Issue correct error message when invalid chroot names are
    used (Closes: #594720).

 -- Roger Leigh <rleigh@debian.org>  Sun, 05 Sep 2010 17:57:53 +0100

schroot (1.4.11-1) unstable; urgency=low

  * New upstream stable release.
  * dchroot.conf loading no longer causes a segmentation fault
    (Closes: #594677).

 -- Roger Leigh <rleigh@debian.org>  Sat, 28 Aug 2010 12:35:19 +0100

schroot (1.4.10-2) unstable; urgency=low

  * Update de translation (Closes: #594024).  Thanks to Holger Wansing.
  * Update fr translation (Closes: #594239).  Thanks to Thomas Blein.

 -- Roger Leigh <rleigh@debian.org>  Wed, 25 Aug 2010 22:02:22 +0100

schroot (1.4.10-1) unstable; urgency=low

  * New upstream stable release.
  * debian/rules:
    - Don't explicitly require doxygen support; it's autodetected
      based upon the build dependencies.
    - Explicitly specify LVREMOVE.

 -- Roger Leigh <rleigh@debian.org>  Sun, 22 Aug 2010 10:15:55 +0100

schroot (1.4.9-1) unstable; urgency=low

  * New upstream stable release.
  * Hide deprecation warning for deprecated priority= key name when
    reloading sessions (Closes: #593256).
  * Build doxygen documentation in arch-indep build rule.  Split
    build rule into build-arch and build-indep and also have
    separate install-arch and install-indep rules to separate
    binary and documentation installation.  This is to remove the
    need to run doxygen on all platforms, since its use of threads
    is breaking builds on some platforms.
  * Update it translation.  Thanks to Vincenzo Campanella.
  * Update zh_CN translation.  Thanks to Ji ZhengYu.
  * Update da translation (Closes: #593622).  Thanks to Joe Hanson.
  * 10mount: Add lock around schroot-listmounts call to prevent
    race condition reading /proc/mounts (Closes: #593516).  Thanks to
    Greg Price for this patch.

 -- Roger Leigh <rleigh@debian.org>  Sat, 21 Aug 2010 22:41:22 +0100

schroot (1.4.8-1) unstable; urgency=low

  * New upstream stable release.
  * Add da translation (Closes: #589082).  Thanks to Joe Hanson.
  * Update cs translation (Closes: #588734).  Thanks to Miroslav Kure.
  * Update de translation (Closes: #588963).  Thanks to Holger Wansing.
  * Update fr translation (Closes: #589079).  Thanks to Thomas Blein.
  * sbuild::auth: Always preserve TERM and SHELL environment
    variables (Closes: #589830, #589917).  Thanks to Bastian Blank and
    Arno Renevier.
  * Don't restrict valid session names (Closes: #589889).  Thanks to
    Zach Carter.
  * Correctly check for boost::program_options::variables_map
    (Closes: #589658).  Thanks to Zach Carter.
  * Session names and chroot names may use the same names now that
    separate session: and chroot: namespaces are used
    (Closes: #512131).
  * Upgrade to Standards Version 3.9.1 (no changes).

 -- Roger Leigh <rleigh@debian.org>  Sun, 15 Aug 2010 11:34:26 +0100

schroot (1.4.7-1) unstable; urgency=low

  * New upstream stable release.
  * Use standards version 3.9.0.
  * Correctly distribute profile conffiles (Closes: #588247).  Thanks
    to Mario Holbe.
  * Update it and zh_CN translations.  Thanks to Vincenzo Campanella
    and Ji ZhengYu.

 -- Roger Leigh <rleigh@debian.org>  Tue, 06 Jul 2010 23:34:30 +0100

schroot (1.4.6-1) unstable; urgency=low

  * New upstream stable release.
  * New configuration key preserve-environment allows preservation of
    the environment for a chroot without needing to use the
    --preserve-environment option.
  * The desktop configuration profile no longer bind mounts /var/run;
    gdm3 users will need to comment out the necessary bind mount
    in /etc/schroot/desktop/fstab.
  * schroot.conf(5) documents some additional suggestions for
    desktop users using the desktop profile.
  * schroot: Include common-data and common-functions.
  * Btrfs snapshot session cleanup now works under all circumstances
    (Closes: #587757).  Thanks to Bastian Blank.
  * Session cleanup following session startup failure no longer leaves
    stray session files in place (Closes: #587769).  Thanks to Bastian
    Blank.
  * Trying to run or end a nonexistent session with the same name as
    a chroot now fails outright rather than giving a cryptic error
    message (Closes: #588155).  Thanks to Bastian Blank.

 -- Roger Leigh <rleigh@debian.org>  Mon, 05 Jul 2010 22:13:58 +0100

schroot (1.4.5-1) unstable; urgency=low

  * New upstream stable release.
  * Support for btrfs-snapshot chroots has been merged from the
    master branch.  Note that btrfs is experimental, so the
    configuration options and setup script interface may not yet
    be stable.
  * Add source-clone configuration key to disable source chroots
    (Closes: #576541).  Thanks to Andreas Barth.
  * Add support for Btrfs snapshots (Closes: #477788).  Thanks to
    Martin F. Krafft and Andreas Barth for the idea.
  * Add configuration profiles, including a desktop profile.  This
    allows running of X programs when gdm3 is used by the host by
    bind mounting /var/run (Closes: #586333).  Thanks to Stefano
    Zacchiroli for the suggestion.
  * sbuild::unique_identifier() does not use formatted dates in the
    absence of a UUID function and hence does not use characters
    such as ':' that make lvcreate choke (Closes: #583504).  Thanks
    to Zach Carter.
  * 20nssdatabases: Cope with destination database file not pre-
    existing in the chroot (Closes: #586198).  Thanks to Bastian Blank
    for this patch.  A similar patch has been applied to the file
    checking in 20copyfiles.
  * The default message verbosity may be set on a per-chroot basis
    with the message-verbosity configuration key (Closes: #462453).
  * Frequently asked questions are now addressed in schroot-faq(7).

 -- Roger Leigh <rleigh@debian.org>  Sat, 26 Jun 2010 23:46:08 +0100

schroot (1.4.4-1) unstable; urgency=low

  * Correct personality checks in testsuite for non-Linux
    architectures (Closes: #585653).  Thanks to Cyril Brulebois
    for finding the bug and testing the fix.

 -- Roger Leigh <rleigh@debian.org>  Sat, 12 Jun 2010 23:23:35 +0100

schroot (1.4.3-1) unstable; urgency=low

  * Don't use personality(2) to introspect the set personality, by
    caching the set personality instead.  This avoids problems when
    the kernel sets additional personality flags which prevents
    correct identification of the set personality, currently
    preventing building on ARM (Closes: #580136).
  * Correctly clean up the session when schroot receives SIGINT
    (Closes: #477770).  Thanks to Nathaniel W. Turner for this patch.
  * Add contrib 10mount-ssh setup script (Closes: #574723).  Thanks
    to Sascha Silbe.
  * Add contrib 09fsck setup script (Closes: #492316).  Thanks to
    Martin F. Krafft.
  * Use the '3.0 (quilt)' source format.

 -- Roger Leigh <rleigh@debian.org>  Sat, 12 Jun 2010 16:02:11 +0100

schroot (1.4.2-1) unstable; urgency=low

  * Update fr translation (Closes: #571328).  Thanks to Thomas Blein.
  * Update de translation (Closes: #577554).  Thanks to Holger Wansing.
  * Remove inactive maintainers from uploaders (Closes: #573869).
  * Add support for kFreeBSD platform (Closes: #566513).  Thanks to
    Aurelien Jarno.
  * Support building with Boost 1.42 (Closes: #579701).  Thanks to
    Andy Bailey.

 -- Roger Leigh <rleigh@debian.org>  Tue, 13 Apr 2010 14:22:13 +0100

schroot (1.4.1-2) unstable; urgency=low

  * Create compatibility symlinks for the old setup script
    configuration files in postinst, and remove in postrm.  While
    not strictly needed for starting sessions, these are required
    for recovery of existing sessions which have references to the
    old names.

 -- Roger Leigh <rleigh@debian.org>  Sun, 21 Feb 2010 10:56:59 +0000

schroot (1.4.1-1) unstable; urgency=low

  * New upstream stable release.
  * dchroot and dchroot-dsa now allow root to access chroots which
    don't specifically grant root access in their configuration
    (Closes: #566879).  Thanks to Aurelien Jarno for reporting this.
    This was a regression from the separation of authentication into
    separate PAM and NULL authentication methods used by schroot and
    dchroot/dchroot-dsa, respectively.  The NULL authentication method
    was unnecessarily strict for user authentication.
  * schroot no longer segfaults when loading plain chroot session
    files (Closes: #568187).  This was caused by the chroot
    configuration loader automatically creating a session chroot
    from the template chroot used to deserialise the session
    configuration into.  plain chroots, however, don't support
    session creation and so return a NULL chroot, leading to a
    subsequent segfault.  Thanks to Marc Bantle for identifying this
    regression and aiding in debugging.
  * Enable PAM conversation handler to allow password entry
    (Closes: #567416).  This had been removed unintentionally.
  * Updated de translation (Closes: #565625).  Thanks to Helge
    Kreutzmann.
  * Updated pt translation (Closes: #566941).  Thanks to Pedro Ribeiro
    and Miguel Figueiredo.
  * 20copyfiles and 20nssdatabases scripts now allow comments and
    blank lines (Closes: #569671).  Thanks to Sascha Silbe.
  * Document chroot.d naming requirements in NEWS and schroot
    README.Debian (Closes: #567409).
  * Document setup script configuration files in schroot.conf(5)
    and schroot-setup(5) (Closes: #566141).
  * Update to Standards Version 3.8.4.

 -- Roger Leigh <rleigh@debian.org>  Sat, 20 Feb 2010 20:16:52 +0000

schroot (1.4.0-1) unstable; urgency=low

  * New upstream stable release.
  * debian/control: Add ${misc:Depends}.
  * Updated it translation.  Thanks to Vincenzo Campanella.
  * Updated zh_CN translation.  Thanks to Ji ZhengYu.
  * Updated de translattion (Closes: #563818).  Thanks to Holger
    Wansing.
  * Updated bash completion script (Closes: #519745).  Thanks to
    Tim Abbott.
  * Use boost::filesystem for portable directory iteration,
    removing existing path length restrictions (Closes: #520781).

 -- Roger Leigh <rleigh@debian.org>  Sat, 16 Jan 2010 15:52:15 +0000

schroot (1.3.2-1) experimental; urgency=low

  * New upstream development release.
  * po: Update de translation (Closes: #560832).  Thanks to Helge
    Kreutzmann for this patch.
  * Create session files for block-device chroots (Closes: #557197).
    Thanks to Evan Broder for finding this bug.
  * 20copyfiles: Allow copying of special files such as device nodes,
    pipes, sockets and directories (Closes: #559019).  Thanks to
    Raphaël Hertzog for this suggestion.
  * Create session file when using block-device chroots with union
    overlay configured (Closes: #561033). Thanks to Evan Broder for
    reporting this defect.

 -- Roger Leigh <rleigh@debian.org>  Mon, 21 Dec 2009 21:18:51 +0000

schroot (1.3.1-1) experimental; urgency=low

  * New upstream development release.
  * schroot:
    - Return success when ending a session and the operation
      succeeded (Closes: #554907).

 -- Roger Leigh <rleigh@debian.org>  Sat, 07 Nov 2009 10:46:54 +0000

schroot (1.3.0-1) experimental; urgency=low

  [Roger Leigh]
  * New upstream development release.
  * debian/control:
    - libsbuild-dev is in section libdevel.
    - Build-Depend on Boost >= 1.39.
    - Build-Depend on debhelper v7.
    - Build-Depend on doxygen.
    - Update to Standards Version 3.8.3.
  * debian/compat: Use debhelper v7 compatibility mode.
  * debian/rules:
    - Use dh_prep in place of dh_clean -k.  Remove debian/install
      after running dh_prep.
    - Configure with --with-bash-completion-dir.
    - Configure with --enable-doxygen.
    - Split configure invocation onto multiple lines.
    - Only mkdir debian/build if it doesn't already exist.
  * schroot: Install bash completion.
  * schroot.conf: Use current distribution names (lenny and squeeze
    in place of sarge and etch (Closes: #516272).
  * sbuild-session.cc: Fix potential memory leak in is_group_member()
    (Closes: #517223).
  * schroot-script-config.5, schroot-setup.5: Fix typos
    (Closes: #517041).  Thanks to Loïc Minier.
  * schroot now ignores backup files (including dpkg conffile backups)
    in /etc/schroot/chroot.d (Closes: #513307, #496629).
  * mount-defaults: Bind mount /dev/shm rather than creating a new
    tmpfs inside the chroot to avoid potention denial of service
    attacks (Closes: #526788).  Thanks to Aurelien Jarno.
  * etc/setup.d/05lvm: Reorder lvm snapshot options to make more
    flexible (Closes: #494481).  Thanks to Timothy G Abbott for this
    suggestion.
  * If user authentication fails, return a nonzero exit status
    (Closes: #545706).  Thanks to Nelson Elhage for identifying this
    bug.

  [Jan-Marek Glogowski]
  * debian/control:
    - Build-Depends: Add doxygen and graphviz.
    - schroot-dbg: Add new package containing debugging symbols
      for schroot, dchroot and dchroot-dsa.  Only allow installation
      of correct package versions.
    - schroot-doc: Don't depend on pkg-config, suggest libsbuild-dev.
  * debian/rules:
    - Add check rule to run unit tests at install time.
    - Use "$(MAKE) -C" in place of explicit "cd && make".

 -- Roger Leigh <rleigh@debian.org>  Fri, 16 Oct 2009 21:44:52 +0100

schroot (1.2.3-1) unstable; urgency=low

  * New upstream stable release.
  * Detect and link against new versions of the Boost C++ libraries.

 -- Roger Leigh <rleigh@debian.org>  Sun, 17 May 2009 18:29:44 +0100

schroot (1.2.2-1) unstable; urgency=low

  * New upstream stable release.
  * Compile and link with POSIX thread support (Closes: #520713).
    libstdc++ std::tr1::shared_ptr does not appear to work
    correctly on Alpha without -pthread, failing during shared_ptr
    construction or assignment due to an failed internal glibc
    assertion while locking a pthread mutex.

 -- Roger Leigh <rleigh@debian.org>  Sun, 22 Mar 2009 16:56:38 +0000

schroot (1.2.1-1) unstable; urgency=low

  * New upstream stable release.
  * debian/control:
    - Upgrade to Standards-Version 3.8.0.
    - Don't Build-Depend upon -1 Debian revisions.
  * po:
    - Update eu translation (Closes: #479498).  Thanks to Piarres Beobide.
    - Update fr translation (Closes: #481648).  Thanks to Nicolas François.
    - Update pt translation (Closes: #480640).  Thanks to Pedro Ribeiro.
    - Update vi translation (Closes: #479750).  Thanks to Clytie Siddall.
    - Add zh_CN translation (Closes: #480174).  Thanks to LI Daobing (李道兵).
    - Update zh_CN translation.  Thanks to Ji ZhengYu.
  * sbuild/sbuild-lock.cc: Order of "struct flock" members is not assumed,
    for GNU/kFreeBSD portability (Closes: #485637).  Thanks to Petr
    Salinger.
  * schroot.1.in, schroot.conf.5.in: Document /etc/schroot/chroot.d
    (Closes: #487588).
  * setup/10mount: Don't clear mount options for LVM snapshots
    (Closes: #488726).
  * New "loopback" chroot type allows loopback mounting of files
    (Closes: #475515).

 -- Roger Leigh <rleigh@debian.org>  Sat, 05 Jul 2008 11:41:33 +0100

schroot (1.2.0-1) unstable; urgency=low

  * New upstream stable release.
  * Add eu translation (Closes: #462164).
  * Updated pt translation (Closes: #464053).
  * debian/control:
    - libsbuild-dev is in section libdevel.
    - Add libboost-filesystem-dev to Build-Depends.
    - Bump Standards-Version to 3.7.3.
  * debian/libsbuild-doc.doc-base: Use section Programming/C++
  * Setup and exec scripts check for existence and validity of
    script-config file options, as well as script-config itself, and exit with
    an error status and message if incorrect (Closes: #462680).
  * Reading the configuration no longer uses O_NOFOLLOW (Closes: #476332).
    Thanks to Timothy G Abbott.
  * sbuild/sbuild-util.h: Add missing typecast to fix FTBFS on
    GNU/kFreeBSD (Closes: #465972).  Thanks to Petr Salinger.
  * Building with G++ 4.3 now works (Closes: #467457).
  * dchroot.1 manual page no longer specifies -d as a short option for
    directory; this is only used for --preserve-environment
    (Closes: #476815).
  * schroot-mount now creates the mountpoint is not existent
    (Closes: #469038).  Many thanks to Kees Cook for this patch.

 -- Roger Leigh <rleigh@debian.org>  Mon, 05 May 2008 00:09:41 +0100

schroot (1.1.6-1) unstable; urgency=low

  * New upstream development release.
  * Acknowledge NMU.  Thanks to Lucas Nussbaum for fixing the Boost
    library names following another incompatible change in Boost
    (Closes: #439215).
  * debian/control: Suggest lvm2 instead of lvm-common (Closes: #452263).
  * debian/copyright:
    - Update with new GIT source code repository location.
    - Update licence to GPLv3.
  * debian/schroot.init: Update licence to GPLv3.
  * bin/schroot/setup/20network, bin/schroot/setup/30passwd: For files to
    copy, compare file device, inode and contents to avoid copying
    identical files (Closes: #428808).
  * If unknown keys are present in the configuration file, print a warning
    message to alert the user (Closes: #459658).
  * The filesystems to mount in the chroot may be customised by the system
    administrator through the use of an fstab file on a per-chroot basis,
    and a new helper utility, schroot-mount (Closes: #395062, #427047).
    Thanks for your patience while we took the time to implement this the
    right way.
  * Update Vietnamese translation (Closes: #461531).  Thanks to Clytie
    Siddall.
  * debian/schroot.preinst: Add rm_conffile function to remove
    /etc/schroot/setup.d/20network and /etc/schroot/setup.d/30passwd for
    versions prior to this.  These are replaced by
    /etc/schroot/setup.d/20copyfiles.
  * debian/schroot.NEWS: Document conffile changes.

 -- Roger Leigh <rleigh@debian.org>  Sun, 20 Jan 2008 22:51:04 +0000

schroot (1.1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Ajusted configure.ac to deal with the boost multi/singlethread switch.
    Closes: #439215.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 24 Aug 2007 22:23:16 +0200

schroot (1.1.5-1) unstable; urgency=low

  * New upstream development release.
  * debian/control: Use ${binary:Version}.
  * debian/schroot.preinst: In prep_mv_conffile(), use dpkg-query in
    place of reading /var/lib/dpkg/status directly.
  * bin/schroot/setup/10mount: Use --bind rather than --rbind for
    directory chroots.  This allows filesystem mounting to succeed when
    sub-mounts are already mounted on top of the original directory
    (Closes: #428805).  Thanks to Raphaël Hertzog for diagnosing this
    problem.
  * Calling "schroot -e -a" with no open sessions no longer outputs an
    error (Closes: #398679).  Thanks to Benjamin Seidenberg.
  * A new --session-name option allows users to name their sessions,
    rather than using the built-in UUID generation (Closes: #401159).
    Thanks to Lucas Nussbaum.
  * The schroot(1) manual page now has examples for using sessions
    (Closes: #401158).

 -- Roger Leigh <rleigh@debian.org>  Sun, 08 Jul 2007 20:50:08 +0100

schroot (1.1.4-1) unstable; urgency=low

  * New upstream development release.
  * debian/control:
    - Build-Depend on the latest version of Boost, due to the change of
      library symlinks.
    - Change section of libsbuild-doc to "doc".
    - Update package descriptions.
      + Add schroot boilerplate description to schroot-common,
        libsbuild-dev and libsbuild-doc (Closes: #425964).  Thanks to
        Craig Sanders.
      + Update schroot boilerplate.
      + Add a list of reasons not to use dchroot and dchroot-dsa instead
        of schroot.
  * Processes running in the chroot on stopping a session are now killed
    by the 15killprocs setup script (Closes: #391319).  Many thanks to
    Kees Cook for implementing this.
  * The 10mount script checks if the output of schroot-listmounts is empty
    before calling umount (Closes: #426416).  Thanks to Federico Di
    Gregorio.

 -- Roger Leigh <rleigh@debian.org>  Mon, 28 May 2007 21:52:05 +0100

schroot (1.1.3-1) unstable; urgency=low

  * New upstream development release.
  * bin/schroot-base/schroot-base-run.h, sbuild/sbuild-basic-keyfile.tcc:
    Cope with failure when the locale set in the user's environment is
    invalid, by falling back to the C locale (Closes: #425117).  Thanks to
    Martin Michlmayr for reporting this bug.

 -- Roger Leigh <rleigh@debian.org>  Sun, 20 May 2007 17:33:00 +0100

schroot (1.1.2-1) unstable; urgency=high

  * New upstream development release.
  * debian/control
    - Remove libsbuild1 dependency from libsbuild-dev.
    - libsbuild1-dev is in Section devel.
    - Use ${source:Version} to allow binNMUs.
    - Add new package, libsbuild-doc.
    - schroot-common Replaces schroot (<< 1.1.1).  Thanks to Hamish Moffatt
      and Adeodato Simó for reporting this bug (Closes: #422741, #422863).
  * debian/rules:
    - Split arch-dependent and arch-independent packages into separate
      rules.
    - Remove .map and .md5 files from the Doxygen docs.
  * debian/libsbuild-doc.docs: New file.  Install doxygen HTML
    documentation and tag file.
  * debian/libsbuild-doc.doc-base: Register docs with doc-base.
  * bin/schroot/setup/10mount: Don't exec schroot-listmounts in a
    subshell.  This prevents an error (such as a bad exit status) from
    being noticed by the script, and as a result failure to umount
    filesystems may result in severe dataloss when stop scripts then "rm
    -rf" the chroot.  Thanks to Lucas Nussbaum for reporting this bug, and
    Frans Pop for suggesting the solution (Closes: #422909).  Urgency is
    set high because this is a critical bug.

 -- Roger Leigh <rleigh@debian.org>  Thu, 10 May 2007 22:49:39 +0100

schroot (1.1.1-1) unstable; urgency=low

  [ Roger Leigh ]
  * New upstream development release.
  * debian/schroot.init: Add LSB init info and use LSB init functions.
  * debian/control:
    - schroot-common: New package, containing locale data.
    - libsbuild1-dev: New package, containing libsbuild headers, a static
      library and pkg-config data.
    - schroot, dchroot and dchroot-dsa depend upon schroot-common
  * debian/rules:
    - Add dh_makeshlibs.
    - Make dh_shlibdeps use the shlibs data for libsbuild1.
    - install: Don't run "make check".
    - Run configure with options to make only a static library.
  * debian/schroot.install: Don't package locale data.
  * debian/schroot-common.install: New file, install locale data.
  * debian/libsbuild1.install: New file, install libsbuild.so.*.
  * debian/libsbuild-dev.install: New file, installing headers, static
    library and pkg-config .pc file.
  * debian/schroot.default: New file, allowing customisation of the init
    script.  Thanks to Federico Di Gregorio (Closes: #416193).
  * debian/schroot.init:
    - Source /etc/default/schroot.
    - Add copyright header.

  [ Luk Claes ]
  * po/fr.po: Add French translation. Many thanks to Nicolas François
  <nicolas.francois@centraliens.net> (Closes: #414415).

 -- Roger Leigh <rleigh@debian.org>  Wed,  2 May 2007 20:36:11 +0100

schroot (1.1.0-1) unstable; urgency=low

  * New upstream development release.

 -- Roger Leigh <rleigh@debian.org>  Fri, 25 Aug 2006 20:39:23 +0100

schroot (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Add French translation, thanks to Nicolas François (Closes: #414415).

 -- Roger Leigh <rleigh@debian.org>  Sun, 11 Mar 2007 21:48:52 +0000

schroot (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * schroot-listmounts: Don't segfault when realpath(3) returns null when
    the supplied path is nonexistent (Closes: #408617).

 -- Roger Leigh <rleigh@debian.org>  Sat, 27 Jan 2007 13:13:56 +0000

schroot (1.0.4-1) unstable; urgency=high

  * New upstream release.
  * debian/schroot.init: Add LSB init info and use LSB init functions.
  * schroot/schroot-listmounts-main.cc: Use realpath(3) to prevent severe
    dataloss when unmounting filesystems in chroots with symlinks in the
    SCHROOT_MOUNT_DIR path (Closes: #401180).

 -- Roger Leigh <rleigh@debian.org>  Sat, 23 Dec 2006 12:00:50 +0000

schroot (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * dchroot/dchroot-session.cc, dchroot-dsa/dchroot-dsa-session.cc: The
    syslog logging of the command or shell being run in the chroot now
    only occurs when running as root or switching to another user.  If the
    user is the same inside and outside the chroot, and not root, the
    command or shell being run will not be logged.  Thanks to Helge
    Kreutzmann (Closes: #381695).

 -- Roger Leigh <rleigh@debian.org>  Mon,  2 Oct 2006 22:37:12 +0100

schroot (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * sbuild/sbuild-session.cc: The syslog logging of the command or shell
    being run in the chroot now only occurs when running as root or
    switching to another user.  If the user is the same inside and outside
    the chroot, and not root, the command or shell being run will not be
    logged.  Thanks to Helge Kreutzmann (Closes: #381695).

 -- Roger Leigh <rleigh@debian.org>  Mon, 11 Sep 2006 22:42:53 +0100

schroot (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * sbuild/sbuild-chroot.cc: After using --begin-session, reading session
    configuration no longer fails (Closes: #381271).

 -- Roger Leigh <rleigh@debian.org>  Thu,  3 Aug 2006 11:43:53 +0100

schroot (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Update with location of new SVN repository and Alioth file download
      location.
    - Add location of SVN schroot-1.0 branch.
  * schroot/schroot-listmounts-main.cc: mounts is const, to fix a GCC 4.0
    compiler bug: "FTBFS: error: no match for ‘operator!=’ in ‘pos !=
    std::vector’", thanks to Jens Seidel (Closes: #379478).
  * po/de.po: New German translation, thanks to Jens Seidel
    (Closes: #379483).

 -- Roger Leigh <rleigh@debian.org>  Mon, 31 Jul 2006 11:58:08 +0100

schroot (0.99.4-1) unstable; urgency=low

  * New upstream release.
  * The terminal state is no longer saved and restored when running a
    command (Closes: #378469).

 -- Roger Leigh <rleigh@debian.org>  Thu, 20 Jul 2006 16:08:27 +0100

schroot (0.99.3-1) unstable; urgency=low

  * New upstream release.
  * sbuild/sbuild-dirstream.h: The dirstream extraction operator is
    declared outside the class, in addition to the friend declaration.
    This fixes a compilation error with GCC 4.2 (Closes: #377433).  Thanks
    to Martin Michlmayr for reporting this.
  * dchroot/dchroot-options.cc, dchroot/dchroot-session.cc: Allow any
    number of command options, and concatenate all command options into a
    single command, separated by spaces.  This restores compatibility with
    dchroot 0.13 and earlier (Closes: #378028).  Thanks to David Liontooth
    for reporting this.
  * Terminal settings are correctly restored under all normal exit
    conditions (Closes: #378152).
  * debian/schroot.docs: Add the contents of debian/docs.
  * debian/docs: Remove.
  * debian/rules:
    - The /usr/share/doc directories for dchroot and dchroot-dsa are
      symlinks to schroot.
    - Build in debian/build using VPATH.
    - Use debian/build/config.status in place of config.status.
  * debian/dchroot.preinst: New file.  Remove /usr/share/doc/dchroot.
  * debian/dchroot-dsa.preinst: New file.  Remove
    /usr/share/doc/dchroot-dsa.

 -- Roger Leigh <rleigh@debian.org>  Fri, 14 Jul 2006 21:06:05 +0100

schroot (0.99.2-2) unstable; urgency=low

  * test/sbuild-personality.h: Modify the test for automatic personality
    detection, which breaks on the hppa architecture (it uses "linux32"
    rather than "linux" by default).  It now allows "linux", "linux_32bit"
    and "linux32" as valid personalities.

 -- Roger Leigh <rleigh@debian.org>  Fri,  7 Jul 2006 18:46:49 +0100

schroot (0.99.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Build-Depends on libboost-regex-dev.

 -- Roger Leigh <rleigh@debian.org>  Thu,  6 Jul 2006 17:54:17 +0100

schroot (0.99.1-1) unstable; urgency=low

  * New upstream release.
  * dchroot behaviour now matches the chdir and command execution
    behaviour of the original dchroot (Closes: #374713, #374887).
  * Output is now correctly aligned in UTF-8 locales (Closes: #373943).
  * debian/control: Add dchroot-dsa package.
  * debian/rules:
    - install dchroot-dsa setuid root, and add dchroot-dsa lintian
      override.
    - run testsuite in build rule.
    - copy config.sub and config.guest to the scripts directory.
  * debian/dchroot-dsa.install: New file.
  * debian/dchroot-dsa.postrm: New file.
  * debian/dchroot-dsa.lintian-overrides: New file.
  * debian/schroot.docs: New file.  Add THANKS.

 -- Roger Leigh <rleigh@debian.org>  Mon, 26 Jun 2006 11:10:24 +0100

schroot (0.99.0-1) unstable; urgency=low

  * New upstream release.
  * Bind mounts are now used for session-managed plain chroots
    (Closes: #354344).
  * root is no longer denied access when root is not in the groups or
    root_groups lists (Closes: #372569).
  * schroot.conf supports a personality option to set the process
    execution domain, and dchroot.conf supports an additional third
    personality option to do the same (Closes: #372874).
  * debian/control:
    - split dchroot into a separate package.
    - schroot conflicts with dchroot << 0.13.
    - dchroot depends upon schroot to use the schroot configuration,
      scripts and helper binaries.
    - dchroot and schroot Suggest debootstrap.
    - add Luk Claes as a co-maintainer.
  * debian/rules:
    - Use dh_install
    - Install dchroot lintian override.
    - Install init script into rcS, and don't restart on upgrade.  This
      will ensure that running sessions are not disrupted on upgrade.
  * debian/dchroot.install: New file.
  * debian/schroot.install: New file.
  * debian/schroot.lintian-overrides: Remove dchroot lintian override.
  * debian/dchroot.lintian-overrides: Add dchroot lintian override.
  * debian/schroot.preinst: Move from debian/preinst.
  * debian/schroot.postinst:
    - Move from debian/postinst.
    - If upgrading from a version less than 0.99.0-1, remove the
      rc.d symlinks, because rcS is used instead of the normal runlevels.
  * debian/dchroot.postrm: New file. Remove /etc/dchroot.conf on purge.
  * debian/schroot.README.Debian: Move from debian/README.Debian.  Remove
    outdated dchroot bits.
  * debian/schroot.NEWS: New file. Document the splitting out of dchroot.

 -- Roger Leigh <rleigh@debian.org>  Sat, 17 Jun 2006 14:22:14 +0100

schroot (0.2.11-1) unstable; urgency=high

  * New upstream release.
  * debian/control: Upgrade to Standards-Version 3.7.2.
  * schroot/schroot.1.in, schroot/schroot.conf.5.in: Correct ambiguity and
    mistakes in the documentation (Closes: #369633).  Thanks to Andreas
    Bombe.
  * 05file and 10mount take additional steps to ensure that filesystems
    are umounted correctly, and that no chroot will be purged if there are
    mounted filesystems inside it (Closes: #369626).
  * Don't package the static libsbuild.a.

 -- Roger Leigh <rleigh@debian.org>  Sat, 10 Jun 2006 09:50:06 +0100

schroot (0.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Upgrade to Standards-Version 3.7.0.
  * sbuild/sbuild-chroot-config.cc: If a chroot alias is the same as the
    chroot name, don't warn about it, because the effect is still
    unambiguous (Closes: #366608).

 -- Roger Leigh <rleigh@debian.org>  Sat, 27 May 2006 13:07:14 +0100

schroot (0.2.9-1) unstable; urgency=low

  * New upstream release.
  * The package now builds cleanly with GCC 4.2 (Closes: #362205).
  * schroot/setup/10mount: Create mountpoints if they do not exist
    (Closes: #364332).
  * schroot/sbuild-session.cc: Fall back to home directory instead of / if
    the current working directory does not exist in the chroot
    (Closes: #363475).
  * debian/README.Debian: Move chroot safety advice to README
    (Closes: #361108).

 -- Roger Leigh <rleigh@debian.org>  Sun, 30 Apr 2006 13:26:00 +0100

schroot (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Roger Leigh <rleigh@debian.org>  Sun, 19 Mar 2006 11:53:35 +0000

schroot (0.2.7-2) unstable; urgency=low

  * schroot/dchroot-session.cc (run_impl): Correctly chain up to the
    parent method.  This prevents the infinite recursion which caused
    dchroot to crash when using dchroot.conf (Closes: #355880).

 -- Roger Leigh <rleigh@debian.org>  Wed,  8 Mar 2006 15:47:11 +0000

schroot (0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Roger Leigh <rleigh@debian.org>  Wed,  8 Mar 2006 12:32:59 +0000

schroot (0.2.6-1) unstable; urgency=low

  * New upstream release.
  * Remove bashisms in all setup and run shell scripts (test "-o" and
    "function" in shell functions).  Thanks to Clint Adams for this patch
    (Closes: #354526).
  * Allow all commands run inside the chroot to be prefixed by another
    command (Closes: #354513).
  * Clean up the current session when SIGHUP is caught (Closes: #354780).
  * Move 50sbuild from /etc/schroot/run.d to /etc/schroot/setup.d.
  * Move 00check from /etc/schroot/run.d to /etc/schroot/exec.d.
  * debian/preinst:
    - Remove /etc/schroot/run.d/50sbuild if not modified locally.
    - Remove /etc/schroot/run.d/00check if not modified locally.
  * debian/postinst:
    - Move /etc/schroot/run.d/50sbuild to /etc/schroot/setup.d/50sbuild if
      modified locally.
    - Move /etc/schroot/run.d/00check to /etc/schroot/exec.d/00check if
      modified locally.
  * debian/schroot.init:
    - Rename $DAEMON to $SCHROOT.
    - Don't exit with an error if session recovery for an individual chroot
      fails.

 -- Roger Leigh <rleigh@debian.org>  Mon,  6 Mar 2006 18:54:30 +0000

schroot (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * schroot/run/50sbuild: Create ${CHROOT_PATH}/var/lib/sbuild/srcdep-lock
    and set ownership and permissions of all files under
    ${CHROOT_PATH}/var/lib/sbuild to root:sbuild and 02775, respectively.
    Thanks to Adeodato Simó for this patch (Closes: #354462).
  * schroot/schroot.1.in: Correct mistakes in --help options.  Thanks to
    Clint Adams for this patch (Closes: #354477).

 -- Roger Leigh <rleigh@debian.org>  Sun, 26 Feb 2006 21:44:23 +0000

schroot (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Allow multiple chroots on a single filesystem for "block-device" and
    "lvm-snapshot" chroots.  Thanks to Adeodato Simó and Steve Langasek
    for this idea (Closes: #354237).
  * Allow basic session management when "run-session-scripts" is enabled
    for "plain" chroots, by using bind mounts.  This enables the setup
    scripts to run properly.  Thanks to Adeodato Simó for this idea
    (Closes: #354257).

 -- Roger Leigh <rleigh@debian.org>  Sat, 25 Feb 2006 13:03:28 +0000

schroot (0.2.3-2) unstable; urgency=low

  * debian/rules: dchroot must be installed setuid root.
  * debian/schroot.lintian-overrides: Add dchroot.

 -- Roger Leigh <rleigh@debian.org>  Tue, 21 Feb 2006 13:38:32 +0000

schroot (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Provide, Conflict and Replace dchroot.
    - Enhances sbuild.
    - Suggest lvm-common for LVM support.
    - Update description.
  * debian/rules: Add --enable-dchroot to configure, to package the dchroot
    wrapper.
  * debian/README.Debian: Update dchroot notes.

 -- Roger Leigh <rleigh@debian.org>  Tue, 21 Feb 2006 10:01:31 +0000

schroot (0.2.2-2) unstable; urgency=low

  * debian/control: Add pkg-config build dependency.

 -- Roger Leigh <rleigh@debian.org>  Tue,  7 Feb 2006 00:04:10 +0000

schroot (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Remove Glib from the build dependencies.
  * debian/control: Add versioned depends on libpam0g-dev >= 0.79-3.1,
    because earlier versions have broken headers, due to redefining
    internal glibc/libstdc++ types.

 -- Roger Leigh <rleigh@debian.org>  Mon,  6 Feb 2006 23:21:07 +0000

schroot (0.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Roger Leigh <rleigh@debian.org>  Wed,  1 Feb 2006 11:30:43 +0000

schroot (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Suggest unzip, for use with file chroots.
  * debian/rules: Don't run the testsuite, which requires root to run
    successfully.

 -- Roger Leigh <rleigh@debian.org>  Sat, 28 Jan 2006 18:32:23 +0000

schroot (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Use /usr/lib rather than ${prefix}/lib for
    libexecdir, to avoid unexpanded shell vars in config.h.
  * debian/schroot.init: Remove "function" bashism.

 -- Roger Leigh <rleigh@debian.org>  Mon,  7 Nov 2005 19:41:42 +0000

schroot (0.1.7-3) unstable; urgency=low

  * debian/schroot.init: Remove "function" bashism.  Applied patch
    from upstream CVS (Closes: #337761).  Thanks to Robert Luberda
    for the patch.

 -- Roger Leigh <rleigh@debian.org>  Mon,  7 Nov 2005 19:46:36 +0000

schroot (0.1.7-2) unstable; urgency=low

  * schroot/sbuild-sessions.c: Don't check for supplementary group
    IDs if there are none available, and check the process' GID in
    addition.  This allows session recovery at startup, since init
    does not appear to set supplementary groups.  Applied patch
    from upstream CVS (Closes: #337628).
  * debian/rules: Use /usr/lib rather than ${prefix}/lib for
    libexecdir, to avoid unexpanded shell vars in config.h.

 -- Roger Leigh <rleigh@debian.org>  Sat,  5 Nov 2005 14:44:50 +0000

schroot (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add liblockdev to Build-Depends.
  * debian/rules:
    - Use --libexecdir when running configure
    - Use dh_installinit to install init script.
  * debian/schroot.init: New init script, used for session
    recovery at system startup.

 -- Roger Leigh <rleigh@debian.org>  Fri,  4 Nov 2005 19:34:25 +0000

schroot (0.1.6-1) unstable; urgency=low

  * New upstream release.
  * Don't run setup scripts by default, because this can cause
    data loss with custom chroot setups.  A "run-setup" chroot
    option has been added to configure the running of setup
    scripts, which are disabled by default for safety
    (Closes: #329403).
  * Manual pages say "schroot" rather than "sbuild" (Closes: #331550).
  * Preserve schroot.conf changes correctly when moving to
    /etc/schroot/schroot.conf, by checking the md5sum to
    detect local modifictions.  If not modified, delete and
    replace with the package version.
  * debian/rules: Set $localstatedir when running configure.

 -- Roger Leigh <rleigh@debian.org>  Thu, 13 Oct 2005 00:16:06 +0100

schroot (0.1.5-1) unstable; urgency=low

  * New upstream release.
  * Compute the location of schroot.conf properly in schroot.1 and
    schroot.conf.5 (Closes: #324914).
  * debian/postinst: If present, move /etc/schroot.conf to
    /etc/schroot/schroot.conf.
  * debian/rules, debian/schroot.lintian-overrides: Install
    lintian override for setuid-binary warning.

 -- Roger Leigh <rleigh@debian.org>  Sun, 11 Sep 2005 16:25:47 +0100

schroot (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add gettext to Build-Depends.

 -- Roger Leigh <rleigh@debian.org>  Sun, 17 Jul 2005 18:14:32 +0100

schroot (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Roger Leigh <rleigh@debian.org>  Sun, 03 Jul 2005 19:49:59 +0100

schroot (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Upgrade to Standards-Version 3.6.2.

 -- Roger Leigh <rleigh@debian.org>  Sat, 25 Jun 2005 21:46:24 +0100

schroot (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Initial Debian release (Closes: #315104).
  * debian/control:
    - Add buildd-tools developers to Uploaders.
    - Remove unused ${misc:Depends}.
  * Remove debian/conffiles, which is redundant with current versions of
    debhelper.
  * debian/copyright:
    - Update the postal address of the FSF.
    - Refer to /usr/share/common-licenses/GPL.
    - Add new download location.

 -- Roger Leigh <rleigh@debian.org>  Tue, 21 Jun 2005 19:11:25 +0100

schroot (0.1.0-1) unstable; urgency=low

  * Initial release.

 -- Roger Leigh <rleigh@debian.org>  Sun, 19 Jun 2005 15:11:58 +0100

